# -*- coding: iso-8859-15 -*-

"""
ATSchemaEditorNG

(C) 2003,2004, Andreas Jung, ZOPYX Software Development and Consulting
D-72070 Tbingen, Germany

Contact: andreas@andreas-jung.com

License: see LICENSE.txt

$Id: Install.py 21198 2006-03-22 23:47:40Z rafrombrc $
"""

from cStringIO import StringIO
from Products.CMFCore.CMFCorePermissions import ManagePortal
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.ATSchemaEditorNG.config import GLOBALS, PROJECT_NAME, TOOL_NAME

def install(self):                                       
    out = StringIO()

    install_subskin(self, out, GLOBALS)

    #install schema editor tool
    if not hasattr(self, TOOL_NAME):
        self.manage_addProduct['ATSchemaEditorNG'].manage_addSchemaEditorTool()

    configlet = {
        'id': 'schema_editor_tool',
        'appId': PROJECT_NAME,
        'name': 'Schema editor',
        'action': 'string:$portal_url/schema_editor_tool/atse_editor',
        'category': 'Products',
        'permission': (ManagePortal,),
        'imageUrl': 'schema_editor.gif',
    }

    self.portal_controlpanel.unregisterConfiglet(configlet['id'])
    try:
        self.portal_controlpanel.registerConfiglets((configlet,))
    except:
        print >> out, traceback.print_exc()

    print >> out, "Successfully installed %s." % PROJECT_NAME
    return out.getvalue()
